Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface UniformIntegerDistC

All Known Implementing Classes:
  UniformIntegerDistCImpl

public interface UniformIntegerDistC
extends IntegerDistributionC, IntegerDistributionS

Uniform Integer Distribution. A generator of integral values uniformly distributed across a closed interval [min,max]. (The interval includes both its endpoints.) Setting minValue == maxValue is allowed (and returns minValue).

Method Summary
`java.lang.Object` | `create$setGenerator$setIntegerMin$setMax(Zone aZone, SimpleRandomGenerator simpleGenerator, int minValue, int maxValue)` Use this create message if the generator to be attached is a Simple one:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setIntegerMin$setMax(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, int minValue, int maxValue)` Use this create message if the generator to be attached is a Split one:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator$setIntegerMin$setMax

    public java.lang.Object create$setGenerator$setIntegerMin$setMax(Zone aZone,
                                                                     SimpleRandomGenerator simpleGenerator,
                                                                     int minValue,
                                                                     int maxValue)

  Use this create message if the generator to be attached is a Simple one:

### create$setGenerator$setVirtualGenerator$setIntegerMin$setMax

    public java.lang.Object create$setGenerator$setVirtualGenerator$setIntegerMin$setMax(Zone aZone,
                                                                                         SplitRandomGenerator splitGenerator,
                                                                                         int vGen,
                                                                                         int minValue,
                                                                                         int maxValue)

  Use this create message if the generator to be attached is a Split one:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD